RabbitMQ `3.10.24` is a maintenance release in the `3.10.x` [release series](https://www.rabbitmq.com/versions.html).

This series [**reaches its end of community support** on July 31st, 2023](https://rabbitmq.com/versions.html).

Please refer to the upgrade section from [v3.10.0 release notes](https://github.com/rabbitmq/rabbitmq-server/releases/tag/v3.10.0)
if upgrading from a version prior to 3.10.0.

This release **requires Erlang 24.3** and supports Erlang 25.
[RabbitMQ and Erlang/OTP Compatibility Matrix](https://www.rabbitmq.com/which-erlang.html) has more details on
Erlang version requirements for RabbitMQ.


### Minimum Supported Erlang Version

Erlang versions older than 24.3 have reached [end of support](https://www.rabbitmq.com/which-erlang.html).

This release of RabbitMQ [requires Erlang 24.3.4.8](https://github.com/rabbitmq/rabbitmq-packaging/pull/35)
or later versions. Nodes **will fail to start** on older Erlang releases.

Erlang 25.3 is recommended: it offers much improved performance on ARM64 architectures, [profiling with flame graphs](https://blog.rabbitmq.com/posts/2022/05/flame-graphs/)
across all architectures, and the most recent TLS 1.3 implementation.


## Changes Worth Mentioning

Release notes can be found on GitHub at [rabbitmq-server/release-notes](https://github.com/rabbitmq/rabbitmq-server/tree/v3.10.x/release-notes).


### Core Server

#### Bug Fixes

 * Classic queues v1 (CQv1) that had a backlog of messages stored by 3.9 and earlier versions
   could run into an exception during queue index recovery after an upgrade to 3.10.x or any later series.

   CQv2 and queues without a backlog were not affected.

   Contributed by @gomoripeti (CloudAMQP).

   GitHub issue: [#8458](https://github.com/rabbitmq/rabbitmq-server/pull/8458)


## Dependency Upgrades

None in this release.


## Source Code Archives

To obtain source code of the entire distribution, please download the archive named `rabbitmq-server-3.10.24.tar.xz`
instead of the source tarball produced by GitHub.
