RabbitMQ `3.11.22` is a maintenance release in the `3.11.x` [release series](https://www.rabbitmq.com/versions.html).
This release series [goes out of community support on Dec 31, 2023](https://rabbitmq.com/versions.html).

Please refer to the upgrade section from [v3.11.0 release notes](https://github.com/rabbitmq/rabbitmq-server/releases/tag/v3.11.0)
if upgrading from a version prior to 3.11.0.

This release requires Erlang 25 and supports Erlang versions up to `25.3.x`.
[RabbitMQ and Erlang/OTP Compatibility Matrix](https://www.rabbitmq.com/which-erlang.html) has more details on
Erlang version requirements for RabbitMQ.


### Minimum Supported Erlang Version

As of 3.11.0, RabbitMQ requires Erlang 25. Nodes **will fail to start** on older Erlang releases.

Erlang 25 as our new baseline means much improved performance on ARM64 architectures, [profiling with flame graphs](https://blog.rabbitmq.com/posts/2022/05/flame-graphs/)
across all architectures, and the most recent TLS 1.3 implementation available to all RabbitMQ 3.11 users.


## Changes Worth Mentioning

Release notes can be found on GitHub at [rabbitmq-server/release-notes](https://github.com/rabbitmq/rabbitmq-server/tree/v3.11.x/release-notes).

### Management Plugin

#### Bug Fixes

 * Quorum queue replica management operations over the HTTP API now can be
   disabled. This can be useful in environments where replica management
   is done by the platform team and tooling, and should not be exposed to
   cluster users.

   Contributed by @SimonUnge (AWS).

   GitHub issue: [#9151](https://github.com/rabbitmq/rabbitmq-server/pull/9151)


### LDAP AuthN/AuthZ Backend Plugin

#### Bug Fixes

 * LDAP plugin did not interpolate values with non-ASCII characters correctly.

   GitHub issue: [#9059](https://github.com/rabbitmq/rabbitmq-server/issues/9059)


## Dependency Upgrades

None in this release.


## Source Code Archives

To obtain source code of the entire distribution, please download the archive named `rabbitmq-server-3.11.22.tar.xz`
instead of the source tarball produced by GitHub.
