RabbitMQ `3.9.2` is a maintenance release in the `3.9.x` release series. [This is what changed since v3.9.1](https://github.com/rabbitmq/rabbitmq-server/compare/v3.9.1...v3.9.2).

Please refer to the **Upgrading to 3.9** section from [v3.9.0 release notes](https://github.com/rabbitmq/rabbitmq-server/releases/tag/v3.9.0) if you are upgrading from a version prior to 3.9.0.

This release requires at least Erlang 23.2, and supports the latest Erlang 24 version, 24.0.5 at the time of release. [RabbitMQ and Erlang/OTP Compatibility Matrix](https://www.rabbitmq.com/which-erlang.html) has more details on Erlang version requirements for RabbitMQ.


## Changes Worth Mentioning

Release notes are kept under [rabbitmq-server/release-notes](https://github.com/rabbitmq/rabbitmq-server/tree/v3.9.x/release-notes).
Contributors are encouraged to update them together with their changes.  This helps with release automation and more
consistent release schedule.

### CLI Tools

#### Bug Fixes

 * `rabbitmq-upgrade drain` and `rabbitmq-upgrade revive` now log `warning` and `info` level instead of `alert`.

   GitHub issue: [#3266](https://github.com/rabbitmq/rabbitmq-server/pull/3266)


### Shovel Plugin

#### Bug Fixes

 * Multiple Shovels could be started in some cases involving node restarts of failures.

   GitHub issue: [#3260](https://github.com/rabbitmq/rabbitmq-server/issues/3260)


### Federation Plugin

#### Bug Fixes

 * Multiple Federation links could be started in some cases involving node restarts of failures.

   GitHub issue: [#3260](https://github.com/rabbitmq/rabbitmq-server/issues/3260)



## Dependency Upgrades

 * Osiris has been [updated to 1.1.0](https://github.com/rabbitmq/osiris/compare/v1.0.0..v1.1.0)


## Source Code Archives

To obtain source code of the entire distribution, please download the archive named `rabbitmq-server-3.9.2.tar.xz` instead of the source tarball produced by GitHub.
